OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPShape
PPoly

# PPoly_Polygon3D Class Reference

`#include <PPoly_Polygon3D.hxx>`

## Public Member Functions
Standard_EXPORT | PPoly_Polygon3D (const Handle(PColgp_HArray1OfPnt)&Nodes, const Standard_Real Defl)
| Defaults with allocation of nodes. .
Standard_EXPORT | PPoly_Polygon3D (const Handle(PColgp_HArray1OfPnt)&Nodes, const Handle(PColStd_HArray1OfReal)&Parameters, const Standard_Real Defl)
| Defaults with allocation of nodes + Parameters .
Standard_EXPORT Standard_Real | Deflection () const
Standard_EXPORT void | Deflection (const Standard_Real Defl)
Standard_EXPORT Standard_Integer | NbNodes () const
Standard_EXPORT Handle_PColgp_HArray1OfPnt | Nodes () const
Standard_EXPORT void | Nodes (const Handle(PColgp_HArray1OfPnt)&Nodes)
Standard_EXPORT Standard_Boolean | HasParameters () const
Standard_EXPORT void | Parameters (const Handle(PColStd_HArray1OfReal)&Parameters)
| Sets the value of myParameters .
Standard_EXPORT Handle_PColStd_HArray1OfReal | Parameters () const
| Reference on the parameters values. .
| PPoly_Polygon3D ()
| PPoly_Polygon3D (const Storage_stCONSTclCOM &a)
Standard_Real | _CSFDB_GetPPoly_Polygon3DmyDeflection () const
void | _CSFDB_SetPPoly_Polygon3DmyDeflection (const Standard_Real p)
| Handle (PColgp_HArray1OfPnt) _CSFDB_GetPPoly_Polygon3DmyNodes() const
void | _CSFDB_SetPPoly_Polygon3DmyNodes (const Handle(PColgp_HArray1OfPnt)&p)
| Handle (PColStd_HArray1OfReal) _CSFDB_GetPPoly_Polygon3DmyParameters() const
void | _CSFDB_SetPPoly_Polygon3DmyParameters (const Handle(PColStd_HArray1OfReal)&p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Standard_Real | myDeflection
Handle_PColgp_HArray1OfPnt | myNodes
Handle_PColStd_HArray1OfReal | myParameters

## Constructor & Destructor Documentation

Standard_EXPORT PPoly_Polygon3D::PPoly_Polygon3D | ( | const Handle(PColgp_HArray1OfPnt)& | Nodes,
|  | const Standard_Real | Defl
| ) |

Standard_EXPORT PPoly_Polygon3D::PPoly_Polygon3D | ( | const Handle(PColgp_HArray1OfPnt)& | Nodes,
|  | const Handle(PColStd_HArray1OfReal)& | Parameters,
|  | const Standard_Real | Defl
| ) |

PPoly_Polygon3D::PPoly_Polygon3D | ( |  | ) | `[inline]`

PPoly_Polygon3D::PPoly_Polygon3D | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

Standard_Real PPoly_Polygon3D::_CSFDB_GetPPoly_Polygon3DmyDeflection | ( |  | ) | const`[inline]`

void PPoly_Polygon3D::_CSFDB_SetPPoly_Polygon3DmyDeflection | ( | const Standard_Real | p | ) | `[inline]`

void PPoly_Polygon3D::_CSFDB_SetPPoly_Polygon3DmyNodes | ( | const Handle(PColgp_HArray1OfPnt)& | p | ) | `[inline]`

void PPoly_Polygon3D::_CSFDB_SetPPoly_Polygon3DmyParameters | ( | const Handle(PColStd_HArray1OfReal)& | p | ) | `[inline]`

Standard_EXPORT void PPoly_Polygon3D::Deflection | ( | const Standard_Real | Defl | ) |

Standard_EXPORT Standard_Real PPoly_Polygon3D::Deflection | ( |  | ) | const

Standard_EXPORT const PPoly_Polygon3D::Handle | ( | Standard_Type |  | ) | const

PPoly_Polygon3D::Handle | ( | PColStd_HArray1OfReal |  | ) | const`[inline]`

PPoly_Polygon3D::Handle | ( | PColgp_HArray1OfPnt |  | ) | const`[inline]`

Standard_EXPORT Standard_Boolean PPoly_Polygon3D::HasParameters | ( |  | ) | const

Standard_EXPORT Standard_Integer PPoly_Polygon3D::NbNodes | ( |  | ) | const

Standard_EXPORT void PPoly_Polygon3D::Nodes | ( | const Handle(PColgp_HArray1OfPnt)& | Nodes | ) |

Standard_EXPORT Handle_PColgp_HArray1OfPnt PPoly_Polygon3D::Nodes | ( |  | ) | const

Standard_EXPORT Handle_PColStd_HArray1OfReal PPoly_Polygon3D::Parameters | ( |  | ) | const

Standard_EXPORT void PPoly_Polygon3D::Parameters | ( | const Handle(PColStd_HArray1OfReal)& | Parameters | ) |

## Field Documentation

Standard_Real PPoly_Polygon3D::myDeflection`[private]`

Handle_PColgp_HArray1OfPnt PPoly_Polygon3D::myNodes`[private]`

Handle_PColStd_HArray1OfReal PPoly_Polygon3D::myParameters`[private]`

The documentation for this class was generated from the following file:

- PPoly_Polygon3D.hxx